# Kanso

Simple, distributable JavaScript apps using CouchDB

![Kanso Tools in action](http://kan.so/static/img/banner.png)

Kanso is a set of tools and packages for creating JavaScript apps that run
directly on CouchDB. Your app and related code can be easily packaged and shared
with the community, or deployed to a number of cloud-hosted services.

The command-line tool is used for building and deploying these applications, as
well as providing some useful utilities for working with CouchDB and JSON data.


## Why develop apps with Kanso?

* __Scalability:__ easily grow from hobby-project to high-demand app with CouchDB
* __Deployment:__ effortless to deploy, to the cloud or local machines, promoting
  quick iterations
* __Multi-platform:__ runs anywhere with CouchDB (Windows, OSX, Linux, Android and
  iOS)
* __Keep your data yours:__ now you can keep sensitive data in-house, and avoid
  sharing it with cloud services
* __Easy to distribute:__ apps are easy to share and distribute, between people and
  servers
* __Avoid lock-in:__ easy to deploy and based on open-source, don't be held hostage
  to a proprietary API
* __Homogeneity:__ your development environment matches your production environment
* __One language to rule them all:__ with just CouchDB and the browser, all you
  need to speak is JavaScript!


## Get started

    sudo npm install -g kanso

Learn more: [Simplest possible app](http://kan.so/docs/Simplest_possible_app)


## Developer community

Kanso is an open-source project written by developers using CouchApps everyday, in
real-world projects. Kanso provides the tools to share code and resources,
regardless of the way in which your app is built. It's easy to use coffee-script,
less stylesheets, or any number of JavaScript frameworks in your app, and still
benefit from the wealth of packages provided by the community.

Find other Kanso developers in #kansojs on FreeNode, or on the mailing list.


## Find out more

For more information on the project, check out the [Kanso website](http://kan.so).
